awstats auf ispconfig3 server installieren

#1
Hallo,
ich bin absoluter ispconfig 3 Neuling und ich habe nun eine Frage zu awstats. Ich habe es ja wie in dem Tutoriual zur Installation auf einem debian Server mit "apt-get install awstats" installiert. Aber was nun? Der User kann zwar in seinen Einstellungen awstats in einer Dropdown-Liste einstellen, jedoch erscheint nur webalizer wenn man dann die Nutzerurl aufruft (www.wunschdomain.de/stats).
Was muss ich machen, damit awstats funktioniert?
 
#2
Du musst mal unter System -> Serverkonfiguration bearbeiten in der Config des Servers die Pfade zu den Libs und Skripten von awstats überprüfen.
Da hat bei mir auch nicht alles gepasst.
Wenn du die Pfade überprüft und ausgebessert hast legt ISPConfig über Nacht die AWStats Statistiken für das Web an.
 
#3
Du musst mal unter System -> Serverkonfiguration bearbeiten in der Config des Servers die Pfade zu den Libs und Skripten von awstats überprüfen.
Da hat bei mir auch nicht alles gepasst.
Wenn du die Pfade überprüft und ausgebessert hast legt ISPConfig über Nacht die AWStats Statistiken für das Web an.
Hallo erstmal vielen Dank für den Tipp!
Ich habe einfach mal proformer versucht die Verzeichnisse auf dem master Server zu öffnen. Alle Verzeichnisse und Dateien scheinen zu existieren, nur der letzte Eintrag nicht (awstats_buildstaticpages.pl script). Kannst du mir sagen wie der richtige Pfad lautet?
 
#6
Du musst mal unter System -> Serverkonfiguration bearbeiten in der Config des Servers die Pfade zu den Libs und Skripten von awstats überprüfen.
Da hat bei mir auch nicht alles gepasst.
Wenn du die Pfade überprüft und ausgebessert hast legt ISPConfig über Nacht die AWStats Statistiken für das Web an.
Ich spring hier mal auf diesen Thread auf.

Ich habe AWStats in /usr/share/awstats liegen und die Pfade im ISPConfig angepasst. /var/lib/awstats und /etc/awstats habe ich angelegt. Die Configs landen in /etc/awstats aber sonst passiert nichts, /var/lib/awstats ist leer.

Will ISPConfig etwa ein über apt-get installiertes AWStats haben? Das habe ich nämlich nicht, da ich gerne die neuesten Versionen habe.

Finde hier keinen Fehler und nichts, vielleicht kann mir ja jemand den 1-Million-Euro-Tipp geben... ;)

Danke und Gruß,
Roi
 
#8
Ja, das ist Voraussetzung auf Debian und Ubuntu Systemen. Oder zumindest eines das in allen mitgelieferten Scripten und Pfaden zu 100% identisch mit den Standardpaketen ist.
Hm blöd. Danke für die Info!

Gut, ich hab mal das alte AWStats ausm unstable Paket installiert, das geht zumindest mal. Bleibt zu hoffen, dass 7.0 bald paketiert wird, sonst muss ich eventuell von Hand rumpfuschen. ;)
 

Werbung

Top